-- Map module

function newMap(m, px, py)
  curmap = m
  
  world = bump.newWorld(16)
  map = sti.new("maps/lua/" .. m .. ".lua", { "bump" })
  objtable = map.objects
  
  charlayer = map:convertToCustomLayer("Characters")
  function charlayer:draw()
    player.f.draw()
  end
  
  function charlayer:update(dt)
    if player.char ~= nil then
      player.f.update(dt)
      tx = -player.char.x
      ty = -player.char.y
    end
  end
  
  player.f.create()
  
  map:bump_init(world)
end
